=head1 NAME

Gtk2::Gdk::Screen - wrapper for GdkScreen

=cut

=head1 HIERARCHY

  Glib::Object
  +----Gtk2::Gdk::Screen



=cut


=head1 METHODS

=head2 window = $screen-E<gt>B<get_active_window> 

Since: gtk+ 2.10

=head2 $screen-E<gt>B<broadcast_client_message> ($event)

=over

=item * $event (Gtk2::Gdk::Event) 

=back

=head2 colormap = $screen-E<gt>B<get_default_colormap> 

=head2 $screen-E<gt>B<set_default_colormap> ($colormap)

=over

=item * $colormap (Gtk2::Gdk::Colormap) 

=back

=head2 screen or undef = Gtk2::Gdk::Screen-E<gt>B<get_default> 

=head2 display = $screen-E<gt>B<get_display> 

=head2 fontoptions or undef = $screen-E<gt>B<get_font_options> 

Since: gtk+ 2.10

=head2 $screen-E<gt>B<set_font_options> ($options)

=over

=item * $options (Cairo::FontOptions or undef) 

=back

Since: gtk+ 2.10

=head2 integer = $screen-E<gt>B<get_height> 

=head2 integer = $screen-E<gt>B<get_height_mm> 

=head2 boolean = $screen-E<gt>B<is_composited> 

Since: gtk+ 2.10

=head2 list = $screen-E<gt>B<list_visuals> 

Returns a list of Gtk2::Gdk::Visual's.

=head2 string = $screen-E<gt>B<make_display_name> 

=head2 integer = $screen-E<gt>B<get_monitor_at_point> ($x, $y)

=over

=item * $x (integer) 

=item * $y (integer) 

=back

=head2 integer = $screen-E<gt>B<get_monitor_at_window> ($window)

=over

=item * $window (Gtk2::Gdk::Window) 

=back

=head2 rectangle = $screen-E<gt>B<get_monitor_geometry> ($monitor_num)

=over

=item * $monitor_num (integer) 

=back

=head2 integer = $screen-E<gt>B<get_monitor_height_mm> ($monitor_num)

=over

=item * $monitor_num (integer) 

=back

Since: gtk+ 2.14

=head2 unsigned = $screen-E<gt>B<get_monitor_output> ($monitor_num)

=over

=item * $monitor_num (integer) 

=back

Since: gtk+ 2.14

=head2 string or undef = $screen-E<gt>B<get_monitor_plug_name> ($monitor_num)

=over

=item * $monitor_num (integer) 

=back

Since: gtk+ 2.14

=head2 integer = $screen-E<gt>B<get_monitor_width_mm> ($monitor_num)

=over

=item * $monitor_num (integer) 

=back

Since: gtk+ 2.14

=head2 integer = $screen-E<gt>B<get_n_monitors> 

=head2 integer = $screen-E<gt>B<get_number> 

=head2 integer = $screen-E<gt>B<get_primary_monitor> 

Since: gtk+ 2.20

=head2 double = $screen-E<gt>B<get_resolution> 

Since: gtk+ 2.10

=head2 $screen-E<gt>B<set_resolution> ($dpi)

=over

=item * $dpi (double) 

=back

Since: gtk+ 2.10

=head2 colormap = $screen-E<gt>B<get_rgb_colormap> 

=head2 visual = $screen-E<gt>B<get_rgb_visual> 

=head2 colormap or undef = $screen-E<gt>B<get_rgba_colormap> 

Since: gtk+ 2.8

=head2 visual or undef = $screen-E<gt>B<get_rgba_visual> 

Since: gtk+ 2.8

=head2 window = $screen-E<gt>B<get_root_window> 

=head2 integer = $screen-E<gt>B<get_screen_number> 

Since: gtk+ 2.2

=head2 scalar = $screen-E<gt>B<get_setting> ($name)

=over

=item * $name (string) 

=back

=head2 boolean = $screen-E<gt>B<supports_net_wm_hint> ($property)

=over

=item * $property (Gtk2::Gdk::Atom) 

=back

Since: gtk+ 2.2

=head2 colormap = $screen-E<gt>B<get_system_colormap> 

=head2 visual = $screen-E<gt>B<get_system_visual> 

=head2 list = $screen-E<gt>B<get_toplevel_windows> 

Returns a list of Gtk2::Gdk::Window's.

=head2 integer = $screen-E<gt>B<get_width> 

=head2 integer = $screen-E<gt>B<get_width_mm> 

=head2 string = $screen-E<gt>B<get_window_manager_name> 

Since: gtk+ 2.2

=head2 list = $screen-E<gt>B<get_window_stack> 

Since: gtk+ 2.10



=cut


=head1 PROPERTIES

=over

=item 'font-options' (gpointer : default 0 : readable / writable / private)

The default font options for the screen

=item 'resolution' (double : default -1 : readable / writable / private)

The resolution for fonts on the screen

=back



=cut


=head1 SIGNALS

=over

=item B<composited-changed> (Gtk2::Gdk::Screen)

=item B<monitors-changed> (Gtk2::Gdk::Screen)

=item B<size-changed> (Gtk2::Gdk::Screen)

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

